package org.gcube.portlets.user.td.sdmximportwidget.client;

import org.gcube.portlets.user.td.gwtservice.shared.sdmx.SDMXImportSession;
import org.gcube.portlets.user.td.wizardwidget.client.WizardWindow;





/**
 * Entry point classes define <code>onModuleLoad()</code>.
 */
public class SDMXImportWizardTD  extends WizardWindow  {

	protected SDMXImportSession importSession;
	
	
	/**
	 * The id of the {@link CSVTarget} to use.
	 * @param targetId
	 */
	
	public SDMXImportWizardTD(String title)	{
		super(title);
		setWidth(550);
		setHeight(520);
		
		importSession= new SDMXImportSession();
		
		
		SDMXDocumentSelectionCard sdmxdocumentSelection= new SDMXDocumentSelectionCard(importSession);
		addCard(sdmxdocumentSelection);
		
		SourceSelectionCard sourceSelection= new SourceSelectionCard(importSession);
		addCard(sourceSelection);
		
		
		
	}
	
	
}